Bug 1575209 - SELinux is preventing udevadm from 'getattr' accesses on the lnk_file /sys/bus/clockevents/devices/clockevent2.
Summary: SELinux is preventing udevadm from 'getattr' accesses on the lnk_file /sys/bu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c449dce96ccaddcf00a6ccf4bbb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 06:09 UTC by Mohamed Ramadan
Modified: 2018-09-18 06:20 UTC (History)
9 users (show)

Fixed In Version: snapd-2.35-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 06:20:35 UTC
Type: ---


Attachments (Terms of Use)

Description Mohamed Ramadan 2018-05-05 06:09:29 UTC
Description of problem:
SELinux is preventing udevadm from 'getattr' accesses on the lnk_file /sys/bus/clockevents/devices/clockevent2.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that udevadm should be allowed getattr access on the clockevent2 lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'udevadm' --raw | audit2allow -M my-udevadm
# semodule -X 300 -i my-udevadm.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                /sys/bus/clockevents/devices/clockevent2 [
                              lnk_file ]
Source                        udevadm
Source Path                   udevadm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.5-300.fc28.x86_64 #1 SMP Fri
                              Apr 27 17:38:36 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-05-05 08:06:36 EET
Last Seen                     2018-05-05 08:06:36 EET
Local ID                      9617662e-3f24-4f23-81e0-d5319efc467e

Raw Audit Messages
type=AVC msg=audit(1525500396.863:266): avc:  denied  { getattr } for  pid=3215 comm="udevadm" path="/sys/bus/clockevents/devices/clockevent2" dev="sysfs" ino=6593 scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=lnk_file permissive=1


Hash: udevadm,snappy_t,sysfs_t,lnk_file,getattr


Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.5-300.fc28.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-09-09 06:33:35 UTC
snapd-2.35-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6660293c6

Comment 2 Fedora Update System 2018-09-09 20:23:18 UTC
snapd-2.35-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6660293c6

Comment 3 Fedora Update System 2018-09-18 06:20:35 UTC
snapd-2.35-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.